import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckAdmitFlow/` + url, ...arg)

/**
 * 车辆接待流程表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/13 18:44
 **/
export default {
	// 获取车辆接待流程表分页
	depotTruckAdmitFlowPage(data) {
		return request('page', data, 'get')
	},
	// 获取车辆接待流程表列表
	depotTruckAdmitFlowList(data) {
		return request('list', data, 'get')
	},
	// 提交车辆接待流程表表单 edit为true时为编辑，默认为新增
	depotTruckAdmitFlowSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除车辆接待流程表
	depotTruckAdmitFlowDelete(data) {
		return request('delete', data)
	},
	// 获取车辆接待流程表详情
	depotTruckAdmitFlowDetail(data) {
		return request('detail', data, 'get')
	}
}
